package com.ruoyi.tcZz.service;

import java.util.List;

import com.ruoyi.tcZz.domain.TcWljgtj;
import com.ruoyi.tcZz.domain.TcZdgzxm;

/**
 * 重点工作项目Service接口
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
public interface ITcZdgzxmService 
{
    /**
     * 查询重点工作项目
     * 
     * @param id 重点工作项目主键
     * @return 重点工作项目
     */
    public TcZdgzxm selectTcZdgzxmById(Long id);

    /**
     * 查询重点工作项目列表
     * 
     * @param tcZdgzxm 重点工作项目
     * @return 重点工作项目集合
     */
    public List<TcZdgzxm> selectTcZdgzxmList(TcZdgzxm tcZdgzxm);

    /**
     * 新增重点工作项目
     * 
     * @param tcZdgzxm 重点工作项目
     * @return 结果
     */
    public int insertTcZdgzxm(TcZdgzxm tcZdgzxm);

    /**
     * 修改重点工作项目
     * 
     * @param tcZdgzxm 重点工作项目
     * @return 结果
     */
    public int updateTcZdgzxm(TcZdgzxm tcZdgzxm);

    /**
     * 批量删除重点工作项目
     * 
     * @param ids 需要删除的重点工作项目主键集合
     * @return 结果
     */
    public int deleteTcZdgzxmByIds(Long[] ids);

    /**
     * 删除重点工作项目信息
     * 
     * @param id 重点工作项目主键
     * @return 结果
     */
    public int deleteTcZdgzxmById(Long id);



    /**
     * 导入重点工作项目信息
     *
     * @return 结果
     */
    public String importUser(List<TcZdgzxm> tcZdgzxmList);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(Integer isStatus,List<String> ids);
}
